/******************************************************************************
 nhtsclient - a ncurses-based client for the trading game Holsham Traders
 Copyright (C) 1999-2001 Uwe Hermann

 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License as published by
 the Free Software Foundation; either version 2 of the License, or
 (at your option) any later version.

 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.

 You should have received a copy of the GNU General Public License
 along with this program; if not, write to the Free Software
 Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
******************************************************************************/

/* goods.h  --  Functions to handle goods. */


#ifndef GOODS_H
#define GOODS_H    /* To stop multiple inclusions. */


#include "common.h"


#define MAX_NUMBER_OF_GOODS 20
#define MAX_LEN_GOODNAME 15

extern guint number_of_goods;
extern gchar goodnames[MAX_NUMBER_OF_GOODS][MAX_LEN_GOODNAME+1];

struct good_t
{
 guint id;
 glong amount;
 glong price;
 /* glong price_paid; */
};

typedef struct good_t good_t;

#include "towns.h"
#include "transporters.h"

good_t *good_new(guint id, glong amount, glong price);
void good_free(good_t *good);
void good_free_all(GList *goods);

good_t *good_find_by_id(GList *goods, guint id);

GList *good_in_town_or_transporter(town_t *town, transporter_t *transporter);


#endif /* GOODS_H */

